Fedora-Linux.nl Forumindex Fedora-Linux.nl
Het forum van Fedora-Linux.nl.
Deze site wordt gehost door Exonet Internet Services
 
 FAQFAQ   ZoekenZoeken   GebruikerslijstGebruikerslijst   GebruikersgroepenGebruikersgroepen   RegistrerenRegistreren 
 ProfielProfiel   Log in om je privéberichten te bekijkenLog in om je privéberichten te bekijken   InloggenInloggen 

Zolid DVD mker
Ga naar pagina 1, 2  Volgende
 
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Hardware
Vorige onderwerp :: Volgende onderwerp  
Auteur Bericht
jschutten



Geregistreerd op: 08 Jan 2008
Berichten: 11

BerichtGeplaatst: Di Jan 08, 2008 11:16 am    Onderwerp: Zolid DVD mker Reageren met citaat

Bij de Aldi liggen van die apparaatjes waarmee je een video recorder of nder analoog tv apparaat aan de puter kunt koppelen.
Dit word een Zolid Hi-speed DVD maker genoemd.
Voor windblows word er software bijgeleverd, maar niet voor Linux.
Ik werk met fedora 8.
Nu is er wel een beschrijving over de installatie te vinden op internet, maar nog niet voor Fedora 8.
Nou heb ik de beschrijving geprobeerd zoals die bij eerder versies werden gebruikt, maar ik zal wel ergens iets fout doen.
De site die ik heb gevonden is:
http://mcentral.de/wiki/index.php/Em2880

En de fout die ik krijg is:
[jan@linuxd v4l-dvb-kernel]$ make
make -C /lib/v4l-dvb-kernel/v4l
make[1]: Map '/lib/v4l-dvb-kernel/v4l' wordt binnengegaan
Updating/Creating .config
Preparing to compile for kernel version 2.6.23
File not found: /lib/modules/2.6.23.9-85.fc8/build/.config at ./scripts/make_kconfig.pl line 31, <IN> line 4.
make[1]: *** Er is geen regel om doel '.myconfig' te maken, nodig voor 'config-compat.h'. Gestopt.
make[1]: Map '/lib/v4l-dvb-kernel/v4l' wordt verlaten
make: *** [all] Fout 2
[jan@linuxd v4l-dvb-kernel]$

Bij voorbaat dank voor alle hulp.
Terug naar boven
Profiel bekijken Stuur privébericht
Maurizio
MauRice


Geregistreerd op: 03 Jan 2008
Berichten: 113

BerichtGeplaatst: Di Jan 08, 2008 7:39 pm    Onderwerp: Reageren met citaat

Jschutten,

Is de bron-code van je kernel geinstalleerd?
Citaat:

kernel-headers-2.6.23.9-85.fc8
kernel-devel-2.6.23.9-85.fc8


Deze heb je nodig om de kernel-module voor je "Zolid Hi-speed DVD" te compileren.

Als je tijden de installatie het pakket "Development" niet heb aangevinkt, zult je nog meer fouten tegen komen met het compileren. In dit geval mbv "Package Manger" de basis van "Development" installeren. Dit zijn "Libraries", "Tools", "X" en "Gnome" als Gnome gebruik en "KDE" voor als je KDE gebruik.

Succes,
Groetjes,
MauRice
Terug naar boven
Profiel bekijken Stuur privébericht
jschutten



Geregistreerd op: 08 Jan 2008
Berichten: 11

BerichtGeplaatst: Di Jan 08, 2008 11:05 pm    Onderwerp: Reageren met citaat

Maurizio schreef:
Jschutten,

Is de bron-code van je kernel geinstalleerd?

Citaat:

kernel-headers-2.6.23.9-85.fc8
kernel-devel-2.6.23.9-85.fc8


Al die pakketten zijn geinstalleerd, maar als ik naar de bestanden op zoek ga is er niets te zien ls een lege directory.

Maar toch bedankt.
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Wo Jan 09, 2008 12:38 am    Onderwerp: Reageren met citaat

Wat zegt
Code:
rpm -qa|grep kernel
ls -l /lib/modules/2.6.23.9-85.fc8
ls -l /lib/modules/2.6.23.9-85.fc8/build
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
jschutten



Geregistreerd op: 08 Jan 2008
Berichten: 11

BerichtGeplaatst: Wo Jan 09, 2008 6:32 pm    Onderwerp: Reageren met citaat

sciurius schreef:
Wat zegt
Code:
rpm -qa|grep kernel


yum-kernel-module-1.1.9-2.fc8
kernel-2.6.23.8-63.fc8
kernel-headers-2.6.23.9-85.fc8
kernel-2.6.23.9-85.fc8
kernel-devel-2.6.23.9-85.fc8

sciurius schreef:
ls -l /lib/modules/2.6.23.9-85.fc8


totaal 1588
drwxr-xr-x 5 root root 4096 jan 3 22:13 extra
drwxr-xr-x 9 root root 4096 dec 21 14:27 kernel
-rw-rw-r-- 1 root root 337131 jan 3 22:13 modules.alias
-rw-r--r-- 1 root root 1447 dec 7 22:02 modules.block
-rw-rw-r-- 1 root root 69 jan 3 22:13 modules.ccwmap
-rw-rw-r-- 1 root root 297056 jan 3 22:13 modules.dep
-rw-rw-r-- 1 root root 147 jan 3 22:13 modules.ieee1394map
-rw-rw-r-- 1 root root 375 jan 3 22:13 modules.inputmap
-rw-rw-r-- 1 root root 12467 jan 3 22:13 modules.isapnpmap
-rw-r--r-- 1 root root 1528 dec 7 22:02 modules.networking
-rw-rw-r-- 1 root root 74 jan 3 22:13 modules.ofmap
-rw-rw-r-- 1 root root 245526 jan 3 22:13 modules.pcimap
-rw-rw-r-- 1 root root 1009 jan 3 22:13 modules.seriomap
-rw-rw-r-- 1 root root 135277 jan 3 22:13 modules.symbols
-rw-rw-r-- 1 root root 440381 jan 3 22:13 modules.usbmap
drwxr-xr-x 2 root root 4096 dec 7 21:59 updates
drwxr-xr-x 2 root root 4096 dec 21 14:27 vdso
drwxr-xr-x 2 root root 4096 dec 7 21:59 weak-updates

sciurius schreef:

ls -l /lib/modules/2.6.23.9-85.fc8/build[/code]


[root@linuxd jan]# ls -l /lib/modules/2.6.23.9-85.fc8/build
ls: kan geen toegang krijgen tot /lib/modules/2.6.23.9-85.fc8/build: Bestand of map bestaat niet

Hopelijk is dit de informatie die je vraagd,

mvg,

Jan
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Wo Jan 09, 2008 7:05 pm    Onderwerp: Reageren met citaat

Code:
ls -l /usr/src/kernels/2.6.23.9-85.fc8*
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
jschutten



Geregistreerd op: 08 Jan 2008
Berichten: 11

BerichtGeplaatst: Wo Jan 09, 2008 8:28 pm    Onderwerp: Reageren met citaat

sciurius schreef:
Code:
ls -l /usr/src/kernels/2.6.23.9-85.fc8*


[jan@linuxd ~]$ ls -l /usr/src/kernels/2.6.23.9-85.fc8*
totaal 1432
drwxr-xr-x 27 root root 4096 jan 3 22:43 arch
drwxr-xr-x 2 root root 4096 jan 3 22:43 block
drwxr-xr-x 5 root root 4096 jan 3 22:43 crypto
drwxr-xr-x 73 root root 4096 jan 3 22:43 drivers
drwxr-xr-x 63 root root 4096 jan 3 22:43 fs
drwxr-xr-x 18 root root 4096 jan 3 22:43 include
drwxr-xr-x 2 root root 4096 jan 3 22:43 init
drwxr-xr-x 2 root root 4096 jan 3 22:43 ipc
drwxr-xr-x 5 root root 4096 jan 3 22:43 kernel
drwxr-xr-x 6 root root 4096 jan 3 22:43 lib
-rw-r--r-- 1 root root 51355 dec 7 22:02 Makefile
drwxr-xr-x 2 root root 4096 jan 3 22:43 mm
-rw-r--r-- 1 root root 404800 dec 7 22:02 Module.symvers
drwxr-xr-x 42 root root 4096 jan 3 22:43 net
drwxr-xr-x 10 root root 4096 jan 3 22:43 scripts
drwxr-xr-x 4 root root 4096 jan 3 22:43 security
drwxr-xr-x 20 root root 4096 jan 3 22:43 sound
-rw-r--r-- 1 root root 851383 dec 7 22:02 System.map
drwxr-xr-x 2 root root 4096 jan 3 22:43 usr
[jan@linuxd ~]$

Jan
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Wo Jan 09, 2008 10:05 pm    Onderwerp: Reageren met citaat

Er zou in /lib/modules/<kernel> een symlink 'build' moeten zijn, die wijst naar /usr/src/kernels/<juiste>. Kun je die met de hand aanmaken, en het dan nog eens proberen?
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
jschutten



Geregistreerd op: 08 Jan 2008
Berichten: 11

BerichtGeplaatst: Do Jan 10, 2008 6:13 pm    Onderwerp: Reageren met citaat

sciurius schreef:
Er zou in /lib/modules/<kernel> een symlink 'build' moeten zijn, die wijst naar /usr/src/kernels/<juiste>. Kun je die met de hand aanmaken, en het dan nog eens proberen?


Als ik een symlink probeer te maken is dit de boodschap.

[jan@linuxd 2.6.23.9-85.fc8]$ ln /usr/src/kernels/2.6.23.9-85.fc8-i686
ln: `/usr/src/kernels/2.6.23.9-85.fc8-i686': een harde koppeling naar een map is niet toegestaan
[jan@linuxd 2.6.23.9-85.fc8]$
Terug naar boven
Profiel bekijken Stuur privébericht
Maurizio
MauRice


Geregistreerd op: 03 Jan 2008
Berichten: 113

BerichtGeplaatst: Do Jan 10, 2008 8:05 pm    Onderwerp: Reageren met citaat

Jschutten,

Is dit onderstaande van je echt de 'output' van "rpm -qa | grep kernel", of zit er een type-fout in?
Citaat:

yum-kernel-module-1.1.9-2.fc8
kernel-2.6.23.8-63.fc8
kernel-headers-2.6.23.9-85.fc8
kernel-2.6.23.9-85.fc8
kernel-devel-2.6.23.9-85.fc8


Als het zo is heb je twee kernelversie's:2.6.23.8-63.fc8 en 2.6.23.9-85.fc8.
Alleen van de laatse ( 2.6.23.9-85.fc8) heb je bron-code geinstalleerd.

Controlleer met welke kernel-versie je aan het werken ben "uname -r" is de opdracht.

Met het compileren van kernel-module heb je de broncode met dezelfde versie nodig.
Het is perfect mogenlijk om twee kernelversie te hebben, je gebruik er maar een of beter gezegd je startop (booten) er maar met een. Maar je hebt ook voor beide kernelversie de bijbehoren broncode nodig. Gebruik je alleen en alleen de laatste versie (2.6.23.9-85.fc8) dan is de "oudere" versie (2.6.23.8-63.fc8) eigenlijk overbodig.

Groetjes,
MauRice
Terug naar boven
Profiel bekijken Stuur privébericht
jschutten



Geregistreerd op: 08 Jan 2008
Berichten: 11

BerichtGeplaatst: Do Jan 10, 2008 8:50 pm    Onderwerp: Reageren met citaat

Maurice,

Dit is de uitkomst van uname -r

[jan@linuxd v4l-dvb-kernel]$ uname -r
2.6.23.9-85.fc8
[jan@linuxd v4l-dvb-kernel]$

De "oude" kernel heb ik gedeinstalleerd, waardoor de uitkomst van "rpm -qa | grep kernel" er nu zo uit ziet.

[jan@linuxd v4l-dvb-kernel]$ rpm -qa | grep kernel
yum-kernel-module-1.1.9-2.fc8
kernel-headers-2.6.23.9-85.fc8
kernel-2.6.23.9-85.fc8
kernel-devel-2.6.23.9-85.fc8
[jan@linuxd v4l-dvb-kernel]$

Een type fout zal het niet zijn, daar ben ik eigenlijk te lui voor.
Als het even kan met zoiets graag kopieren en plakken.

mvg,

Jan
Terug naar boven
Profiel bekijken Stuur privébericht
Maurizio
MauRice


Geregistreerd op: 03 Jan 2008
Berichten: 113

BerichtGeplaatst: Do Jan 10, 2008 9:15 pm    Onderwerp: Reageren met citaat

Jan,

Van welke 'tar-bal' bent je aan het compileren?
Maw van waar heb je de code gedownload om de kernel-module voor Zolid ... te maken. Kan zo niet direct uit het verhaal volgen. (http://mcentral.de/wiki/index.php/Em2880)


Voor mij is het handig om je opdrachten na te bootsen zodat ik ook zie wat wel en niet fout gaat.

Groetjs,
MauRice
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Do Jan 10, 2008 9:31 pm    Onderwerp: Reageren met citaat

jschutten schreef:
$ ln /usr/src/kernels/2.6.23.9-85.fc8-i686
ln: `/usr/src/kernels/2.6.23.9-85.fc8-i686': een harde koppeling naar een map is niet toegestaan
ln is link, ln -s is symlink.
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
jschutten



Geregistreerd op: 08 Jan 2008
Berichten: 11

BerichtGeplaatst: Do Jan 10, 2008 9:36 pm    Onderwerp: Reageren met citaat

Maurizio schreef:
Jan,

Van welke 'tar-bal' bent je aan het compileren?
Maw van waar heb je de code gedownload om de kernel-module voor Zolid ... te maken. Kan zo niet direct uit het verhaal volgen. (http://mcentral.de/wiki/index.php/Em2880)


Voor mij is het handig om je opdrachten na te bootsen zodat ik ook zie wat wel en niet fout gaat.

Groetjs,
MauRice


Hier ben ik begonnen met de zoek tocht.

https://lists.ubuntu.com/archives/ubuntu-nl/2007-December/005402.html

En op deze site staat hoe de installatie zou moeten gaan.

http://mcentral.de/wiki/index.php5/Em2880

mvg,

Jan
Terug naar boven
Profiel bekijken Stuur privébericht
Maurizio
MauRice


Geregistreerd op: 03 Jan 2008
Berichten: 113

BerichtGeplaatst: Do Jan 10, 2008 10:15 pm    Onderwerp: Reageren met citaat

Jan,

Niet dat ik nu nog weet vanuit welke tar-bal (gecomprimeerd bestand) aan het compileren ben. Maar als jouw Zolid... de kernel-module "em82xx.ko" nodig heeft, deze is er al, standaard bij kernel.

Het volstaat (als root) "/sbin/modprobe em82xx"
Met "/sbin/lsmod | grep em82xx" kunt je zien of het geladen is.
Het enigste wat ik eruit opmaak is dat een bepaalde typen om de zo geheten "firmware" vragen. Hiervan zijn er vier varianten.
De kans is groot dat zonder deze firmware-bestanden er geen device wordt gemaakt in de map '/dev/..' Waar of wat kan ik je niet zeggen ( heb geen TV-kaart of ed) maar "v4l" zal in het device-naam staan. neem ik aan.

Voor jouw uit te zoeken welke je nodig heb (1,2,3 of 4). Deze te downloaden, uitpakken met "tar xvzf firmware.tgz". Deze bestanden die eindiggen op '.fw' moeten naar '/lib/firmware' gekopieerd worden (als root wel te verstaan).

Met "/sbin/lspci -v" zal je meer info krijgen over de Zolid...

Groetjes,
MauRice
Terug naar boven
Profiel bekijken Stuur privébericht
Berichten van afgelopen:   
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Hardware Tijden zijn in GMT + 1 uur
Ga naar pagina 1, 2  Volgende
Pagina 1 van 2

 
Ga naar:  
Je mag geen nieuwe onderwerpen plaatsen in dit subforum
Je mag geen reacties plaatsen in dit subforum
Je mag je berichten niet bewerken in dit subforum
Je mag je berichten niet verwijderen in dit subforum
Je mag niet stemmen in polls in dit subforum


Powered by phpBB © 2001, 2005 phpBB Group
Vertaling door Lennart Goosens.